package com.steering.pss.plnsaleord.lenthCal;

import java.util.List;

/**
 * 长度计算方法输入参数实体类
 * @author 杨天海
 * @version v1.1
 * @date 2015.05.22
 */
public class LenCalculateInObject {
    /**
     * 外径
     */
    private Double outdiameter = 0.0; // 外径
    /**
     * 壁厚
     */
    private Double wallthick = 0.0; // 壁厚
    /**
     * 壁厚公差下限(mm)
     */
    private Double wallLower = 0.0; // 壁厚公差下限(mm)
    /**
     * 壁厚公差上限(mm)
     */
    private Double wallUpper = 0.0; // 壁厚公差上限(mm)
    /**
     *外径公差下限(mm)
     */
    private Double aimLower = 0.0;
    /**
     * 外径公差上限(mm)
     */
    private Double aimUpper = 0.0;

    /**
     *外径公差下限(mm)
     */
    public Double getAimLower() {
        return aimLower;
    }

    /**
     *外径公差下限(mm)
     */
    public void setAimLower(double aimLower) {
        this.aimLower = aimLower;
    }

    /**
     * 外径公差上限(mm)
     */
    public Double getAimUpper() {
        return aimUpper;
    }

    /**
     * 外径公差上限(mm)
     */
    public void setAimUpper(double aimUpper) {
        this.aimUpper = aimUpper;
    }

    /**
     * 控制外径
     */
    private Double outdiameterKz = 0.0;
    /**
     * 控制壁厚
     */
    private Double wallthickKz = 0.0;

    /**
     * 轧管管单重
     */
    private Double weightMiKz = 0.0;
    /**
     * 最大分切数
     */
    private Double cutMax = 0.0;
    /**
     * 最佳分切数
     */
    private int cutnum = 0;
    /**
     * 目标长度
     */
    private Double aimlength = 0.0;

    /**
     * 最佳分切数
     */

    public int getCutnum() {
        return cutnum;
    }

    /**
     * 最佳分切数
     */
    public void setCutnum(int cutnum) {
        this.cutnum = cutnum;
    }

    /**
     * 目标长度
     */
    public Double getAimlength() {
        return aimlength;
    }

    /**
     * 目标长度
     */
    public void setAimlength(Double aimlength) {
        this.aimlength = aimlength;
    }

    /**
     * 最大分切数
     */
    public Double getCutMax() {
        return cutMax;
    }

    /**
     * 最大分切数
     */
    public void setCutMax(Double cutMax) {
        this.cutMax = cutMax;
    }

    /**
     * 控制外径
     */
    public Double getOutdiameterKz() {
        return outdiameterKz;
    }

    /**
     * 控制外径
     */
    public void setOutdiameterKz(Double outdiameterKz) {
        this.outdiameterKz = outdiameterKz;
    }

    /**
     * 控制壁厚
     */
    public Double getWallthickKz() {
        return wallthickKz;
    }

    /**
     * 控制壁厚
     */
    public void setWallthickKz(Double wallthickKz) {
        this.wallthickKz = wallthickKz;
    }

    /**
     * 轧管管单重
     */
    public Double getWeightMiKz() {
        return weightMiKz;
    }

    /**
     * 轧管管单重
     */
    public void setWeightMiKz(Double weightMiKz) {
        this.weightMiKz = weightMiKz;
    }

    /**
     * 管端系数
     */
    private double tubeEndRatio = 0;

    /**
     * 管端系数
     */
    public double getTubeEndRatio() {
        return tubeEndRatio;
    }

    /**
     * 管端系数
     */
    public void setTubeEndRatio(double tubeEndRatio) {
        this.tubeEndRatio = tubeEndRatio;
    }

    /**
     * 短尺随炉
     */
    private Boolean shrtstove = false; // 短尺随炉
    /**
     * 单倍尺长
     */
    private Double sigllen = 0.0; // 单倍尺长
    /**
     * 烧损(%)
     */
    private Double burning = 0.0; // 烧损
    /**
     * 断面
     */
    private List<Double> Diameter = null; // 断面(管坯直径)
    /**
     * 最大长度
     */
    private Double lengthmax = 0.0; // 最大长度
    /**
     * 最小长度
     */
    private Double lengthmin = 0.0; // 最小长度
    /**
     * 轧制转移最大长度
     */
    private Double lengthmaxZg = 0.0;
    /**
     * 轧制转移最小长度
     */
    private Double lengthminZg = 0.0;
    /**
     * 切头尾(m)
     */
    private Double Cutheadtail = 0.0; // 切头尾
    /**
     * 管坯最长
     */
    private Double Billetmax = 0.0; // 环形炉max(mm)
    /**
     * 冷床最长
     */
    private Double Sizing = 0.0; // 冷床长度(m)
    /**
     * 短尺最短(m)
     */
    private Double Footmin = 0.0;
    /**
     * 成品使用公差
     */
    private double endlenSpecstd = 0;

    /**
     * 成品使用公差
     */
    public double getEndlenSpecstd() {
        return endlenSpecstd;
    }

    /**
     * 成品使用公差
     */
    public void setEndlenSpecstd(double endlenSpecstd) {
        this.endlenSpecstd = endlenSpecstd;
    }

    /**
     * 测量J值
     */
    private Double checkJVal = 0.0;

    /**
     * 测量单位
     */
    private String orderUnit = "";

    /**
     * 测量单位
     */
    public String getOrderUnit() {
        return orderUnit;
    }

    /**
     * 测量单位
     */
    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }

    /**
     * 测量J值
     */
    public Double getCheckJVal() {
        return checkJVal;
    }

    /**
     * 测量J值
     */
    public void setCheckJVal(Double checkJVal) {
        this.checkJVal = checkJVal;
    }

    /**
     * 脱管机长度下限值--轧管工序
     */
    private Double lengthMinTube = 0.0;
    /**
     * 脱管机长度上限值--轧管工序
     */
    private Double lengthMaxTube = 0.0;
    /**
     * 机组壁厚公差带能力%
     */
    private Double toleranceZone = 0.0;
    /**
     * 芯棒直径(mm)
     */
    private String diameterMandrel = "";
    /**
     * 计重方式（理重/实重）
     */
    private String weighType = "";

    /**
     * 计重方式（理重/实重）
     */
    public String getWeighType() {
        return weighType;
    }

    /**
     * 计重方式（理重/实重）
     */
    public void setWeighType(String weighType) {
        this.weighType = weighType;
    }

    /**
     * 孔型代码(4007)
     */
    private String passCode = "";

    /**
     * 孔型代码(4007)
     */
    public String getPassCode() {
        return passCode;
    }

    /**
     * 孔型代码(4007)
     */
    public void setPassCode(String passCode) {
        this.passCode = passCode;
    }

    /**
     * 孔型
     */
    private String passMame = "";

    /**
     * 芯棒直径(mm)
     */
    public String getDiameterMandrel() {
        return diameterMandrel;
    }

    /**
     * 芯棒直径(mm)
     */
    public void setDiameterMandrel(String diameterMandrel) {
        this.diameterMandrel = diameterMandrel;
    }

    /**
     * 孔型
     */
    public String getPassMame() {
        return passMame;
    }

    /**
     * 孔型
     */
    public void setPassMame(String passMame) {
        this.passMame = passMame;
    }

    /**
     * 脱管机长度下限值--轧管工序
     */
    public Double getLengthMinTube() {
        return lengthMinTube;
    }

    /**
     * 脱管机长度下限值--轧管工序
     */
    public void setLengthMinTube(Double lengthMinTube) {
        this.lengthMinTube = lengthMinTube;
    }

    /**
     * 脱管机长度上限值--轧管工序
     */
    public Double getLengthMaxTube() {
        return lengthMaxTube;
    }

    /**
     * 脱管机长度上限值--轧管工序
     */
    public void setLengthMaxTube(Double lengthMaxTube) {
        this.lengthMaxTube = lengthMaxTube;
    }

    /**
     * 机组壁厚公差带能力%
     */
    public Double getToleranceZone() {
        return toleranceZone;
    }

    /**
     * 机组壁厚公差带能力%
     */
    public void setToleranceZone(Double toleranceZone) {
        this.toleranceZone = toleranceZone;
    }

    /**
     * 平均长度大于
     */
    private Double avgLenMin = 0.0;

    /**
     * 平均长度大于
     */
    public Double getAvgLenMin() {
        return avgLenMin;
    }

    /**
     * 平均长度大于
     */
    public void setAvgLenMin(Double avgLenMin) {
        this.avgLenMin = avgLenMin;
    }

    /**
     * 外径公差下限(mm)
     */
    private Double outdiamMin = 0.0; // 外径公差下限(mm)

    public Double getOutdiamMin() {
        return outdiamMin;
    }

    public void setOutdiamMin(Double outdiamMin) {
        this.outdiamMin = outdiamMin;
    }

    public Double getOutdiamMax() {
        return outdiamMax;
    }

    public void setOutdiamMax(Double outdiamMax) {
        this.outdiamMax = outdiamMax;
    }

    /**
     * 外径公差上限(mm)
     */
    private Double outdiamMax = 0.0; // 外径公差上限(mm)

    public LenCalculateInObject() {
        outdiameter = 0.0; // 外径
        wallthick = 0.0; // 壁厚
        wallLower = 0.0; // 壁厚公差下限(mm)
        wallUpper = 0.0; // 壁厚公差上限(mm)
        aimLower = 0.0; // 外径公差下限(mm)
        aimUpper = 0.0; // 外径公差上限(mm)
        shrtstove = false; // 短尺随炉
        sigllen = 0.0; // 单倍尺长
        burning = 0.0; // 烧损
        Diameter = null; // 断面(管坯直径)
        lengthmax = 0.0; // 最大长度
        lengthmin = 0.0; // 最小长度
        lengthmaxZg = 0.0; // 轧制转移最大长度
        lengthminZg = 0.0; // 轧制转移最小长度
        Cutheadtail = 0.0; // 切头尾
        Billetmax = 0.0; // 坯料max(mm)
        Sizing = 0.0; // 定径后max(m)
        Footmin = 0.0;
        outdiamMin = 0.0;
        outdiamMax = 0.0;
    }

    /**
     * 名义外径(mm)
     * @param outdiamet value
     */
    public void setOutdiameter(double outdiamet) {
        this.outdiameter = outdiamet;
    }

    /**
     * 名义外径(mm)
     * @return Double
     */
    public Double getOutdiameter() {
        return this.outdiameter;
    }

    /**
     * 名义壁厚(mm)
     * @param wallthi value
     */
    public void setWallthick(double wallthi) {
        this.wallthick = wallthi;
    }

    /**
     * 名义壁厚(mm)
     * @return Double
     */
    public Double getWallthick() {
        return this.wallthick;
    }

    /**
     * 壁厚公差下限(mm)
     * @param lower value
     */
    public void setWallLower(double lower) {
        this.wallLower = lower;
    }

    /**
     * 壁厚公差下限(mm)
     * @return Double
     */
    public Double getWallLower() {
        return this.wallLower;
    }

    /**
     * 壁厚公差上限(mm)
     * @param upper value
     */
    public void setWallUpper(double upper) {
        this.wallUpper = upper;
    }

    /**
     * 壁厚公差上限(mm)
     * @return Double
     */
    public Double getWallUpper() {
        return this.wallUpper;
    }

    /**
     * 短尺随炉
     * @param short_stove value
     */
    public void setShrtstove(boolean shortstove) {
        this.shrtstove = shortstove;
    }

    /**
     * 短尺随炉
     * @return Boolean
     */
    public Boolean getShrtstove() {
        return this.shrtstove;
    }

    /**
     * 单倍尺长(m)
     * @param singl_len value
     */
    public void setSigllen(double singllen) {
        this.sigllen = singllen;
    }

    /**
     * 单倍尺长(m)
     * @return Double
     */
    public Double getSigllen() {
        return this.sigllen;
    }

    /**
     * 烧损(%)
     * @param Buring value
     */
    public void setBurning(double Buring) {
        this.burning = Buring;
    }

    /**
     * 烧损(%)
     * @return Double
     */
    public Double getBurning() {
        return this.burning;
    }

    /**
     * 断面（mm）
     * @param diamet List<Double>
     */
    public void setDiameter(List<Double> diamet) {
        this.Diameter = diamet;
    }

    /**
     * 断面（mm）
     * @return List<Double>
     */
    public List<Double> getDiameter() {
        return this.Diameter;
    }

    /**
     * 成品最大长度（m）
     * @param length value
     */
    public void setLengthmax(double length) {
        this.lengthmax = length;
    }

    /**
     * 成品最大长度（m）
     * @return Double
     */
    public Double getLengthmax() {
        return this.lengthmax;
    }

    /**
     * 成品最小长度（m）
     * @param length value
     */
    public void setLengthmin(double length) {
        this.lengthmin = length;
    }

    /**
     * 成品最小长度（m）
     * @return Double
     */
    public Double getLengthmin() {
        return this.lengthmin;
    }

    /**
     * 切头尾(m)
     * @param cutht value
     */
    public void setCutheadtail(double cutht) {
        this.Cutheadtail = cutht;
    }

    /**
     * 切头尾(m)
     * @return Double
     */
    public Double getCutheadtail() {
        return this.Cutheadtail;
    }

    /**
     * 管坯最长（mm）
     * @param billet value
     */
    public void setBilletmax(double billet) {
        this.Billetmax = billet;
    }

    /**
     * 管坯最长（mm）
     * @return Double
     */
    public Double getBilletmax() {
        return this.Billetmax;
    }

    /**
     * 冷床最长（m）
     * @param length value
     */
    public void setSizing(double length) {
        this.Sizing = length;
    }

    /**
     * 冷床最长（m）
     * @return Double
     */
    public Double getSizing() {
        return this.Sizing;
    }

    /**
     * 短尺最短(m)
     * @param foot value
     */
    public void setFootmin(double foot) {
        this.Footmin = foot;
    }

    /**
     * 短尺最短(m)
     * @return Double
     */
    public Double getFootmin() {
        return this.Footmin;
    }

    /**
     * 轧制转移最大长度（m）
     * @return the lengthmaxZg
     */
    public Double getLengthmaxZg() {
        return lengthmaxZg;
    }

    /**
     * 轧制转移最大长度（m）
     * @param lengthmaxZg the lengthmaxZg to set
     */
    public void setLengthmaxZg(double lengthmaxZg) {
        this.lengthmaxZg = lengthmaxZg;
    }

    /**
     * 轧制转移最小长度（m）
     * @return the lengthminZg
     */
    public Double getLengthminZg() {
        return lengthminZg;
    }

    /**
     * 轧制转移最小长度（m）
     * @param lengthminZg the lengthminZg to set
     */
    public void setLengthminZg(double lengthminZg) {
        this.lengthminZg = lengthminZg;
    }

    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线名称
     */
    private String plineName = "";

    /**
     * 产线代码
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线名称
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线名称
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }
}